import {Component, OnInit, ViewChild} from '@angular/core';
import {ModalComponent} from '../../../modals/modal/modal.component';

@Component({
  selector: 'app-add-summary-dialog',
  templateUrl: './add-summary-dialog.component.html',
  styleUrls: ['./add-summary-dialog.component.scss']
})
export class AddSummaryDialogComponent implements OnInit {
  @ViewChild('modal') public modalComponent: ModalComponent | undefined;
  constructor() { }

  ngOnInit(): void {
  }

  setVisible(isVisible: boolean): void {
    console.log('hi');
    if (this.modalComponent) {
      this.modalComponent.setVisible(isVisible);
    }
  }

  isVisible(): boolean {
    return !!this.modalComponent?.isModalVisible;
  }
}
