import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'app-data-field',
  templateUrl: './data-field.component.html',
  styleUrls: ['./data-field.component.scss']
})
export class DataFieldComponent implements OnInit {
  @Input() public header: string | undefined;
  @Input() public value: string | string[];
  constructor() {
    this.value = '';
  }

  ngOnInit(): void {
  }

  isArray(value: string | string[]): boolean {
    return Array.isArray(value);
  }
}
