import {TestBed} from '@angular/core/testing';

import {TabsComponent} from './tabs.component';
import {AngularMaterialModule} from '../modules/angular-material.module';
import {Component, Input} from '@angular/core';
import {RouterTestingModule} from '@angular/router/testing';

@Component({
  selector: 'app-semi-fixed-header',
  template: '<ng-content></ng-content>'
})
class MockSemiFixedHeaderComponent {
  // tslint:disable-next-line:no-input-rename
  @Input('fixed-at') fixedAt = 0;
}


describe('TabsComponent', () => {
  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [TabsComponent, MockSemiFixedHeaderComponent],
      imports: [AngularMaterialModule, RouterTestingModule]
    })
    .compileComponents();
  });

  it('is defined', () => {
    const fixture = TestBed.createComponent(TabsComponent);
    const component = fixture.componentInstance;
    fixture.detectChanges();
    expect(component).toBeTruthy();
  });
});
